Package org.drinkless.tdlib

# Class TdApi.UpdateNewPreCheckoutQuery

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateNewPreCheckoutQuery

Enclosing class:
  `TdApi`

public static class TdApi.UpdateNewPreCheckoutQuery extends TdApi.Update
A new incoming pre-checkout query; for bots only. Contains full information about a checkout.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `currency`
  Currency for the product price.
  `long`
  `id`
  Unique query identifier.
  `byte[]`
  `invoicePayload`
  Invoice payload.
  `TdApi.OrderInfo`
  `orderInfo`
  Information about the order; may be null.
  `long`
  `senderUserId`
  Identifier of the user who sent the query.
  `String`
  `shippingOptionId`
  Identifier of a shipping option chosen by the user; may be empty if not applicable.
  `long`
  `totalAmount`
  Total price for the product, in the smallest units of the currency.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateNewPreCheckoutQuery()`
  A new incoming pre-checkout query; for bots only.
  `UpdateNewPreCheckoutQuery(long id, long senderUserId, String currency, long totalAmount, byte[] invoicePayload, String shippingOptionId, TdApi.OrderInfo orderInfo)`
  A new incoming pre-checkout query; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Unique query identifier.

  - ### senderUserId

    public long senderUserId
    Identifier of the user who sent the query.

  - ### currency

    public String currency
    Currency for the product price.

  - ### totalAmount

    public long totalAmount
    Total price for the product, in the smallest units of the currency.

  - ### invoicePayload

    public byte[] invoicePayload
    Invoice payload.

  - ### shippingOptionId

    public String shippingOptionId
    Identifier of a shipping option chosen by the user; may be empty if not applicable.

  - ### orderInfo

    @Nullable public TdApi.OrderInfo orderInfo
    Information about the order; may be null.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateNewPreCheckoutQuery

    public UpdateNewPreCheckoutQuery()
    A new incoming pre-checkout query; for bots only. Contains full information about a checkout.

  - ### UpdateNewPreCheckoutQuery

    public UpdateNewPreCheckoutQuery(long id, long senderUserId, String currency, long totalAmount, byte[] invoicePayload, String shippingOptionId, TdApi.OrderInfo orderInfo)
    A new incoming pre-checkout query; for bots only. Contains full information about a checkout.
    Parameters:
      `id` - Unique query identifier.
      `senderUserId` - Identifier of the user who sent the query.
      `currency` - Currency for the product price.
      `totalAmount` - Total price for the product, in the smallest units of the currency.
      `invoicePayload` - Invoice payload.
      `shippingOptionId` - Identifier of a shipping option chosen by the user; may be empty if not applicable.
      `orderInfo` - Information about the order; may be null.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR